#!/bin/sh

# Make a temp directory in the /run ram disk (if it's not already created)
sudo mkdir /run/pidp11 2>/dev/null

# Kill possibly running instances of Blinkenlight server ... only one allowed
sudo kill `pidof server11` >/dev/null 2>/dev/null

#

echo "*** Start portmapper for RPC service, OK to fail if already running"
sudo rpcbind & 
sleep 2

# get SR switches from scansw
sw=`sudo ./scansw`
# get low 18 bits and high 4 bits
hi=`expr $sw / 262144`
lo=`expr $sw % 262144`
# format as octal
# lo identifies bootscrtipt. hi is meant for future special functions
lo=`printf "%04o" $lo`

#genboot prepares the boot script for simh in the Pi's RAM disk:
sudo ./genboot.sh $lo

echo "*** Start client/server ***"
sleep 1
sudo ./server11 &
sleep 3
sudo ./client11 /run/pidp11/tmpsimhcommand.txt
